Bug 858216 - libvirt_cpu_mode defaults to host-model for kvm and qemu
libvirt_cpu_mode defaults to host-model for kvm and qemu
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openstack-nova (Show other bugs)
18
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Xavier Queralt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-18 06:46 EDT by Eoghan Glynn
Modified: 2014-06-18 03:00 EDT (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:12:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eoghan Glynn 2012-09-18 06:46:43 EDT
Description of problem:

When an instance is spun up on a VM running openstack (as opposed to bare metal), we see the following error in the nova-compute logs:

  "libvirtError: unsupported configuration: CPU specification not supported by hypervisor"


Workaround:

Add the line:

  libvirt_cpu_mode=none

to /etc/nova/nova.conf


Version-Release number of selected component (if applicable):

openstack-nova-compute-2012.2-0.7.f3.fc18.noarch


How reproducible:

100%


Steps to Reproduce:
1. Boot an instance

  
Actual results:

Instance status goes to error.


Expected results:

Instance status goes to error.
Comment 2 Daniel Berrange 2012-09-24 07:38:19 EDT
Jiri, do you have any knowledge of problems with setting CPU models when running a QEMU instance inside a KVM guest. The scenario is that OpenStack sets  mode="host-model" for all guests by default, this works fine running guest on bare metal, but fails when running inside a guest.
Comment 3 Jiri Denemark 2012-09-25 03:02:06 EDT
Ah, I guess it fails because libvirt is not able to match host CPU with any CPU model it knows about. Can you confirm that by running 'virsh capabilities' and checking the <cpu> element there? If that's the case, the host is likely masking some CPU features that are comonly present in all CPU models. A feature called "sep" is known to be missing in guests running on RHEL hosts, for example.
Comment 4 Fedora Admin XMLRPC Client 2013-12-16 11:21:03 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora End Of Life 2013-12-21 03:53:27 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 07:12:55 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.